Skip to main content
POST
/
s3
/
multipart
/
get-uploaded-parts
curl -X POST https://app.drime.cloud/api/v1/s3/multipart/get-uploaded-parts \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "uploads/1e4cbca8.../1e4cbca8...",
    "uploadId": "AFNhWKh6Cn6f..."
  }'
{
  "parts": [
    {
      "PartNumber": 1,
      "ETag": "\"22b1d5721320f9da081e4987f0e0ce65\"",
      "Size": 5242880
    },
    {
      "PartNumber": 2,
      "ETag": "\"479df46a73824ca1a5e44efe64d3dbb7\"",
      "Size": 1405792
    }
  ],
  "status": "success"
}

Overview

Lists parts that have already been uploaded for a multipart upload. Use this to resume interrupted uploads by skipping already-uploaded parts.

Request Body

key
string
required
S3 key from createMultipartUpload
uploadId
string
required
Upload ID from createMultipartUpload

Response

parts
array
Array of already-uploaded parts
status
string
Request status (success)
curl -X POST https://app.drime.cloud/api/v1/s3/multipart/get-uploaded-parts \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "key": "uploads/1e4cbca8.../1e4cbca8...",
    "uploadId": "AFNhWKh6Cn6f..."
  }'
{
  "parts": [
    {
      "PartNumber": 1,
      "ETag": "\"22b1d5721320f9da081e4987f0e0ce65\"",
      "Size": 5242880
    },
    {
      "PartNumber": 2,
      "ETag": "\"479df46a73824ca1a5e44efe64d3dbb7\"",
      "Size": 1405792
    }
  ],
  "status": "success"
}
Use this endpoint to implement resumable uploads. When a user reconnects, check which parts are already uploaded and continue from where they left off.